#!/bin/bash

# shcov.sh -- post-process trace.log file to generate coverage report

# generate *.cov files
rm -f *.cov
./tr2cov.sh

# make a list of source files that were traced
srcs=`for f in *.cov ; do awk '{ print $1 ; exit }' $f ; done`

# make an html colorized coverage report for each source file
for f in $srcs
do ./sh2html.sh $f
done

